	;DwgMgr.lsp 1.0 Copyright 1990 by Upper Canada Software.
;_DwgMgr_.lsp

;To load DwgMgr into acad:
;Put either the following, or (load"c:/acad/lsp/dwgmgr/_dwgmgr_"), in acad.lsp,
;or load from this file.
;Make sure to set DmPath below.

;DmPath holds the location of DwgMgr lisp and data files. These files can be
;shared by multiple users on a remote server. To do so, set a dos environment
;variable called DWG to a filename which is personal to each user, such as
;their login name, and make all of DwgMgr's files shareable.

(setq DmPath"c:\\acad\\lsp\\dwgmgr\\"	;<<<=== SET ME!!
      CrBtn 0)				;Grread button # for <Return>.

((lambda(/ TempFH Str)
  ;Is FileList installed??
  (setq TempFH(open"\\!!""w"))
  (princ"ID"TempFH)
  (setq TempFH(close TempFH)
	TempFH(open"\\!!""r")
	Str(read-line TempFH)
	TempFH(close TempFH))
  (cond
    ((<(atof(getvar"AcadVer"))10)
      (princ"\nDwg requires AutoCAD Rel.10."))
    ((member(substr Str 1 7)'("0LspTsr""0FileLi"))
      (princ);(strcat"\n"(substr Str 2)"\n"))
      (defun C:Dwg()
        (load(strcat DmPath"Dm_Init"))
        (C:Dwg)))
    ((princ"\nFileList not installed.\n")))))

(princ)

